/*-
 * Copyright (C) @BABOLO  2005 Nov 2
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 *  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: len.cc,v 1.4 2005/11/17 21:17:48 babolo Exp $
 */

/***************************************************/
/*      codex.len() */
/***************************************************/

static ssize_t
unkn(ISO8583_Pack *pack, int fno) {
    return(-MS_NOT);
}

static ssize_t
eqb(ISO8583_Pack *pack, int fno) {
    return(pack->package->fld[fno].len);
}

static ssize_t
eqa(ISO8583_Pack *pack, int fno) {
    return(pack->package->fld[fno].len);
}

static ssize_t
eqn(ISO8583_Pack *pack, int fno) {
    return(UPHALF(pack->package->fld[fno].len));
}

static ssize_t
eqd(ISO8583_Pack *pack, int fno) {
    int len = pack->package->fld[fno].len;
    if  (len & 1) return(-MS_ILL);
    return(eqn(pack, fno));
}

static ssize_t
ll(ISO8583_Pack *pack, int fno) {
    return(lv(0, 2, pack->refo[fno]) + 1);
}

static ssize_t
lln(ISO8583_Pack *pack, int fno) {
    return(UPHALF(lv(0, 2, pack->refo[fno])) + 1);
}

static ssize_t
lll(ISO8583_Pack *pack, int fno) {
    return(-MS_NOT);
}
