/*-
 * Copyright (C) @BABOLO  2005 Nov 22
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 *  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: test.cc,v 1.1 2005/11/29 01:55:33 babolo Exp $
 */

/*   1 */
static const ISO8583_Package ISO8583_Test1Package = {
 1, 0, 39, 0, 0x8000000000000000L, 0L
,{{ISO8583_B_NUMERIC  ,   4, "Message Type Indicator"} /*00*/
 ,{ISO8583_B_LITERAL  ,   8, "Bitmap"}                 /*01*/
 ,{ISO8583_B_LITERAL  ,   1, "N 02 B_LITERAL(1)"}      /*02*/
 ,{ISO8583_B_LITERAL  ,   3, "N 03 B_LITERAL(3)"}      /*03*/
 ,{ISO8583_B_LITERAL  ,   5, "N 04 B_LITERAL(5)"}      /*04*/
 ,{ISO8583_B_LITERAL  ,   7, "N 05 B_LITERAL(7)"}      /*05*/
 ,{ISO8583_B_LITERAL  ,   8, "N 06 B_LITERAL(8)"}      /*06*/
 ,{ISO8583_I_CHAR     ,   1, "N 07 I_CHAR(1)"}         /*07*/
 ,{ISO8583_B_LLCHAR   ,  50, "N 08 B_LLCHAR(50)"}      /*08*/
 ,{ISO8583_B_NUMERIC  ,   1, "N 09 B_NUMERIC(1)"}      /*09*/
 ,{ISO8583_B_NUMERIC  ,   2, "N 10 B_NUMERIC(2)"}      /*10*/
 ,{ISO8583_B_NUMERIC  ,   3, "N 11 B_NUMERIC(3)"}      /*11*/
 ,{ISO8583_B_NUMERIC  ,   5, "N 12 B_NUMERIC(5)"}      /*12*/
 ,{ISO8583_B_NUMERIC  ,  11, "N 13 B_NUMERIC(11)"}     /*13*/
 ,{ISO8583_B_NUMERIC  ,  19, "N 14 B_NUMERIC(19)"}     /*14*/
 ,{ISO8583_B_LLNUM    ,   0, "N 15 B_LLNUM(0)"}        /*15*/
 ,{ISO8583_B_LLNUM    ,   1, "N 16 B_LLNUM(1)"}        /*16*/
 ,{ISO8583_B_LLNUM    ,   1, "N 17 B_LLNUM(1)"}        /*17*/
 ,{ISO8583_B_LLNUM    ,   2, "N 18 B_LLNUM(2)"}        /*18*/
 ,{ISO8583_B_LLNUM    ,   2, "N 19 B_LLNUM(2)"}        /*19*/
 ,{ISO8583_B_LLNUM    ,   3, "N 20 B_LLNUM(3)"}        /*20*/
 ,{ISO8583_B_LLNUM    ,  19, "N 21 B_LLNUM(19)"}       /*21*/
 ,{ISO8583_B_TIME     ,   2, "N 22 B_TIME(2)"}         /*22*/
 ,{ISO8583_B_TIME     ,   4, "N 23 B_TIME(4)"}         /*23*/
 ,{ISO8583_B_TIME     ,   6, "N 24 B_TIME(6)"}         /*24*/
 ,{ISO8583_B_TIME     ,   8, "N 25 B_TIME(8)"}         /*25*/
 ,{ISO8583_B_TIME     ,  10, "N 26 B_TIME(10)"}        /*26*/
 ,{ISO8583_B_TIME     ,  12, "N 27 B_TIME(12)"}        /*27*/
 ,{ISO8583_B_TIMEl    ,  14, "N 28 B_TIMEl(14)"}       /*28*/
 ,{ISO8583_B_DATE     ,   2, "N 29 B_DATE(2)"}         /*29*/
 ,{ISO8583_B_DATE     ,   4, "N 30 B_DATE(4)"}         /*30*/
 ,{ISO8583_B_DATE     ,   6, "N 31 B_DATE(6)"}         /*31*/
 ,{ISO8583_B_DATE     ,   8, "N 32 B_DATE(8)"}         /*32*/
 ,{ISO8583_B_DATE     ,  10, "N 33 B_DATE(10)"}        /*33*/
 ,{ISO8583_B_DATEl    ,  12, "N 34 B_DATEl(12)"}       /*34*/
 ,{ISO8583_B_DATET    ,   2, "N 35 B_DATET(2)"}        /*35*/
 ,{ISO8583_B_DATET    ,   4, "N 36 B_DATET(4)"}        /*36*/
 ,{ISO8583_B_DATET    ,   6, "N 37 B_DATET(6)"}        /*37*/
 ,{ISO8583_B_DATET    ,   8, "N 38 B_DATET(8)"}        /*38*/
}};

/*   2 */
static const ISO8583_Package ISO8583_Test2Package = {
 1, 0, 39, 0, 0x8000000000000000L, 0L
,{{ISO8583_B_NUMERIC  ,   4, "Message Type Indicator"} /*00*/
 ,{ISO8583_B_LITERAL  ,   8, "Bitmap"}                 /*01*/
 ,{ISO8583_B_LITERAL  ,   2, "N 02 B_LITERAL(2)"}      /*02*/
 ,{ISO8583_B_LITERAL  ,   4, "N 03 B_LITERAL(4)"}      /*03*/
 ,{ISO8583_B_LITERAL  ,   6, "N 04 B_LITERAL(6)"}      /*04*/
 ,{ISO8583_B_LITERAL  ,   8, "N 05 B_LITERAL(8)"}      /*05*/
 ,{ISO8583_I_CHAR     ,   5, "N 06 I_CHAR(5)"}         /*06*/
 ,{ISO8583_B_LLCHAR   ,   1, "N 07 B_LLCHAR(1)"}       /*07*/
 ,{ISO8583_B_LLCHAR   ,  99, "N 08 B_LLCHAR(99)"}      /*08*/
 ,{ISO8583_B_NUMERICl ,   1, "N 09 B_NUMERICl(1)"}     /*09*/
 ,{ISO8583_B_NUMERICl ,   3, "N 10 B_NUMERICl(3)"}     /*10*/
 ,{ISO8583_B_NUMERICl ,   4, "N 11 B_NUMERICl(4)"}     /*11*/
 ,{ISO8583_B_NUMERICl ,   5, "N 12 B_NUMERICl(5)"}     /*12*/
 ,{ISO8583_B_NUMERICl ,  11, "N 13 B_NUMERICl(11)"}    /*13*/
 ,{ISO8583_B_NUMERICl ,  19, "N 14 B_NUMERICl(19)"}    /*14*/
 ,{ISO8583_B_LLNUMl   ,   0, "N 15 B_LLNUMl(0)"}       /*15*/
 ,{ISO8583_B_LLNUMl   ,   1, "N 16 B_LLNUMl(1)"}       /*16*/
 ,{ISO8583_B_LLNUMl   ,   1, "N 17 B_LLNUMl(1)"}       /*17*/
 ,{ISO8583_B_LLNUMl   ,   2, "N 18 B_LLNUMl(2)"}       /*18*/
 ,{ISO8583_B_LLNUMl   ,   2, "N 19 B_LLNUMl(2)"}       /*19*/
 ,{ISO8583_B_LLNUMl   ,   3, "N 20 B_LLNUMl(3)"}       /*20*/
 ,{ISO8583_B_LLNUMl   ,  19, "N 21 B_LLNUMl(19)"}      /*21*/
 ,{ISO8583_B_TIMEl    ,   2, "N 22 B_TIMEl(2)"}        /*22*/
 ,{ISO8583_B_TIMEl    ,   4, "N 23 B_TIMEl(4)"}        /*23*/
 ,{ISO8583_B_TIMEl    ,   6, "N 24 B_TIMEl(6)"}        /*24*/
 ,{ISO8583_B_TIMEl    ,   8, "N 25 B_TIMEl(8)"}        /*25*/
 ,{ISO8583_B_TIMEl    ,  10, "N 26 B_TIMEl(10)"}       /*26*/
 ,{ISO8583_B_TIMEl    ,  12, "N 27 B_TIMEl(12)"}       /*27*/
 ,{ISO8583_B_TIME     ,  14, "N 28 B_TIME(14)"}        /*28*/
 ,{ISO8583_B_DATEl    ,   2, "N 29 B_DATEl(2)"}        /*29*/
 ,{ISO8583_B_DATEl    ,   4, "N 30 B_DATEl(4)"}        /*30*/
 ,{ISO8583_B_DATEl    ,   6, "N 31 B_DATEl(6)"}        /*31*/
 ,{ISO8583_B_DATEl    ,   8, "N 32 B_DATEl(8)"}        /*32*/
 ,{ISO8583_B_DATEl    ,  10, "N 33 B_DATEl(10)"}       /*33*/
 ,{ISO8583_B_DATE     ,  12, "N 34 B_DATE(12)"}        /*34*/
 ,{ISO8583_B_DATETl   ,   2, "N 35 B_DATETl(2)"}       /*35*/
 ,{ISO8583_B_DATETl   ,   4, "N 36 B_DATETl(4)"}       /*36*/
 ,{ISO8583_B_DATETl   ,   6, "N 37 B_DATETl(6)"}       /*37*/
 ,{ISO8583_B_DATETl   ,   8, "N 38 B_DATETl(8)"}       /*38*/
}};
